{ config, ... }:

{
  services.miniflux.config = {
    METRICS_COLLECTOR = 1;
  };

  services.prometheus.scrapeConfigs = [
    {
      job_name = "miniflux";
      static_configs = [{
        targets = [ config.services.miniflux.config.LISTEN_ADDR ];
      }];
    }
  ];
}
